Flash Player

Imagen de ferguior
0 puntos

Hola gente! Este es mi primer mensaje en este foro, a ver si tengo suerte y me podeis ayudar.

Resulta que no puedo ver los videos de youtube porque he de bajarme una version mas reciente del flash player, asi k pinxo donde me dice, me lo bajo y lo instalo. Todo perfecto, dice k se ha instalado correctamente y tal y cual. Pero cuando tiro a ver algun video me dice lo mismo, k sigo sin tener la version necesaria, y la k he instalado es la ultima, asi q no se q hacer.. 

Imagen de Jorolo
+1
0
-1

Hola ferguior.

Ese plug-in puede instalarse de varias maneras, has escogido la peor.

Seguramente deberías deshacer la instalación y usar el buscador de este foro para encontrar una forma más correcta de hacerlo, por ejemplo:

http://www.ubuntu-es.org/node/24061

Los asistentes e instaladores (no específicos para ubuntu) en teoría son para hacer con facilidad las cosas dificiles, con demasiada frecuencia hacen que resulte imposible realizar incluso las tareas más sencillas.

 

+1
0
-1
Imagen de ferguior
+1
0
-1

Hola Jorolo

He hecho lo que dice ahi, que basicamente es lo que hacia antes, instalarlo desde la terminal. Le especifico la ruta de firefox; /usr/lib/firefox y se instala correctamente, pero nada.

He mirado eso que dice del link http://www.adobe.com/software/flash/about/ para saber que version tengo, pero no me dice nada acerca de mi versión.

Luego hay una cosa que no he podido probar y es copiar los archivos: libflashplayer.so y flashplayer.xpt en /usr/lib/firefox/plugins como root, porque no se como ponerme como root.

Un saludo y gracias. 

+1
0
-1
Imagen de maalmike
+1
0
-1

Pus con lo que hay en las otras ligas y lo que te ha dicho jorolo deberia funcionarte, cual firefox tienes??

Solo tienes instalada 1 version de firefox??

(te pregunto porque ya me ocurrio que instale una nueva version, creyendo que estaba actualizando la anterior y nada, que tenia las 2) 

_______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

+1
0
-1

_______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

Imagen de ferguior
+1
0
-1

Pues a ver myke, que yo vea solo tengo un firefox y es la versión 1.5.0.11.

Como ya he dicho antes lo único que no he probado de lo que me ha dicho jorolo y lo que ponia en los links es lo de ponerme como root y copiar esos dos archivos pero es que no se como me pongo como root. 

+1
0
-1
Imagen de maalmike
+1
0
-1

Ok, partiendo de ahi creo que deberias actualizar a firefox 2, para esta tarea te paso este script:

-- Inicio del Script

#!/bin/bash
echo "Updating repositories list
"
sudo apt-get update
echo "
Making sure libstdc++5 and the old Firefox are installed
"
sudo apt-get -y install firefox libstdc++5
echo "
Backing up old Firefox preferences
"
cp -R ~/.mozilla ~/.mozilla_backup
echo "
Changing to home directory
"
cd
echo "
Downloading Firefox from the Mozilla site
"
wget -c http://releases.mozilla.org/pub/mozilla.org/firefox/releases/latest/linu...
echo "
Unzipping the .tar.gz file
"
sudo tar -C /opt -x -z -v -f firefox-2.0.0.3.tar.gz
echo "
Removing the unzipped .tar.gz
"
rm firefox-2.0.0.3.tar.gz
echo "
Linking plugins
"
cd /opt/firefox/plugins/
sudo ln -s /usr/lib/mozilla-firefox/plugins/* .
echo "
Linking launcher to new Firefox
"
sudo dpkg-divert --divert /usr/bin/firefox.ubuntu --rename /usr/bin/firefox
sudo ln -s /opt/firefox/firefox /usr/bin/firefox
sudo dpkg-divert --divert /usr/bin/mozilla-firefox.ubuntu --rename /usr/bin/mozilla-firefox
sudo ln -s /opt/firefox/firefox /usr/bin/mozilla-firefox
echo "
The new Firefox is installed."

--- Fin del script

Grabalo en un archivo, luego dale permisos de ejecucion (sudo chmod +x [tu archivo]) y luego lo corres (./[tu archivo])

Si todo va bien tendras actualizado tu firefox a la ultima version.

Luego te deberia bastar con ejecutar el flash-installer (sudo ./flash-installer) como dice la guia de macromedia, solo te pido que revises la ruta, porque en mi caso una vez actualizado el firefox quedo en /opt/firefox.

De ahi en más no he tenido problemas.

No se si me fui muy lejos, si necesitas más detalles dime. 

 _______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

+1
0
-1

_______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

Imagen de ferguior
+1
0
-1

He hecho lo que me has dicho y me he quedado sin firefox!!!!!!

Ahora le doy al iconito para abrirlo y me dice:

No se pudo lanzar la aplicación 

Detalles: Ha ocurrido un error al ejecutar el proceso hijo <<firefox>> (No existe el fichero o directorio)

 Que hago ahora???

He estado probando cosas, y me he bajado el firefox de la web de firefox. Y lo puedo ejecutar desde la carpeta, pero no se como instalarlo. No hay ningun fichero que diga nada de install o parecido y en los readme's no dice nada...

Estoy peor que al principio, ayuda please! :S

A todo esto, estoy en el navegador Galeon, k no me va muy alla, pero bueno.. 

+1
0
-1
Imagen de ferguior
+1
0
-1

Por si sirve de algo, pego aqui la salida de la terminal ejecutando el scrypt:

fernando@fernando:~$ ./firefox2
Updating repositories list

Des:1 http://es.archive.ubuntu.com dapper Release.gpg [189B]
Des:2 http://es.archive.ubuntu.com dapper-updates Release.gpg [191B]
Des:3 http://security.ubuntu.com dapper-security Release.gpg [191B]
Obj http://es.archive.ubuntu.com dapper Release
Obj http://es.archive.ubuntu.com dapper-updates Release
Obj http://security.ubuntu.com dapper-security Release
Obj http://es.archive.ubuntu.com dapper/main Packages
Obj http://es.archive.ubuntu.com dapper/restricted Packages
Obj http://es.archive.ubuntu.com dapper/main Sources
Obj http://es.archive.ubuntu.com dapper/restricted Sources
Obj http://es.archive.ubuntu.com dapper/universe Packages
Obj http://es.archive.ubuntu.com dapper/multiverse Packages
Ign http://es.archive.ubuntu.com dapper-updates/main Packages
Obj http://es.archive.ubuntu.com dapper-updates/restricted Packages
Obj http://es.archive.ubuntu.com dapper-updates/main Sources
Obj http://es.archive.ubuntu.com dapper-updates/restricted Sources
Obj http://security.ubuntu.com dapper-security/main Packages
Des:4 http://es.archive.ubuntu.com dapper-updates/main Packages [177kB]
99% [4 Packages gzip 0] [Esperando las cabeceras]
gzip: stdin: not in gzip format
Err http://es.archive.ubuntu.com dapper-updates/main Packages
  El subproceso gzip devolvió un código de error (1)
Obj http://security.ubuntu.com dapper-security/restricted Packages
Obj http://security.ubuntu.com dapper-security/main Sources
Obj http://security.ubuntu.com dapper-security/restricted Sources
Descargados 4B en 3s (1B/s)
Imposible obtener http://es.archive.ubuntu.com/ubuntu/dists/dapper-updates/main/binary-i38...  El subproceso gzip devolvió un código de error (1)
Leyendo lista de paquetes... Hecho
E: Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

Making sure libstdc++5 and the old Firefox are installed

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias... Hecho
firefox ya está en su versión más reciente.
libstdc++5 ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.

Backing up old Firefox preferences

Changing to home directory

Downloading Firefox from the Mozilla site

--13:18:04--  http://x-i686/es-ES/firefox-2.0.0.3.tar.gz...
           => `firefox-2.0.0.3.tar.gz...'
Resolviendo x-i686... falló: Nombre ó servicio desconocido.

Unzipping the .tar.gz file

tar: firefox-2.0.0.3.tar.gz: No se puede open: No existe el fichero ó directoriotar: El error no es recuperable: salida ahora
tar: Child returned status 2
tar: Salida con error demorada desde errores anteriores

Removing the unzipped .tar.gz

rm: no se puede borrar `firefox-2.0.0.3.tar.gz': No existe el fichero ó directorio

Linking plugins

Linking launcher to new Firefox

Leaving `local diversion of /usr/bin/firefox to /usr/bin/firefox.ubuntu'
ln: creando el enlace simbólico `/usr/bin/firefox' a `/opt/firefox/firefox': El fichero ya existe
Leaving `local diversion of /usr/bin/mozilla-firefox to /usr/bin/mozilla-firefox.ubuntu'
ln: creando el enlace simbólico `/usr/bin/mozilla-firefox' a `/opt/firefox/firefox': El fichero ya existe

The new Firefox is installed.

Se ve que hay fallos, pero no tengo ni idea de como interpretarlos y solucionarlos.. 

+1
0
-1
Imagen de maalmike
+1
0
-1

Fue un problema al copiar el codigo del script, con este nuevo modulo se cambian las direcciones web por enlaces, esto causo el problema, lo que copiaste a tu scrip es un enlace y la dirección de la cual debe bajar el nuevo firefox, de ahi lo errores.

Para arreglar esto:

en el script abrelo con un editor, creo que estas usando gnome, asi que seria gedit [tu archivo] y busca esta parte:

Downloading Firefox from the Mozilla site
"
wget -c
Downloading Firefox from the Mozilla site
"
wget -c x-i686/es-ES/firefox-2.0.0.3.tar.gz...
echo "
Unzipping the .tar.gz file

echo "
Unzipping the .tar.gz file

aqui es donde baja el archivo, como vez hay una linea que dice:

wget -c x-i686/es-ES/firefox-2.0.0.3.tar.gz...

esta es la linea incorrecta replazala por la siguiente:

wget -c http:// releases.mozilla.org /pub/ mozilla.org /firefox /releases /latest /linux-i686 / es-ES/firefox-2.0.0.3.tar.gz

Nota: Te aviso que la direccion del archivo http:/... en adelante no debe tener espacios en blanco, se los agregue para que te muestre la dirección completa, de otro modo el editor de comentarios lo transformara atumáticamente en un enlace (de nuevo y eso nos dejaria igual que antes), asi que te cuidado con esto y elimina todos los espacios en blanco de la dirección.

Con esto ya estas cambiando el enlace por la dirección correcta del nuevo paquete de firefox.

 

Luego para mayor seguridad de que no te cause problemas con la anterior instalacion fallida, reinstala el firefox 1.5 de los repositorios, no se si uses adept o bien desde la consola con sudo apt-get install firefox.

Una vez reinstalado el nuevo firefox corre el script corregido y ya no debe darte problemas, recuerda revisar la ruta del nuevo firefox, como te dije antes a mi me quedo en /opt/firefox/.

Disculpame, pero la anterior respuesta la hice ya muy cansado y no me fije en ese punto.

Si no entiendes bien los comandos dime y te los explico.

_______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

+1
0
-1

_______________________________________________

Myke, nuevo en esto, pero muy contento de solo batallar una vez con cada problema

Imagen de ferguior
+1
0
-1

Por fin, ya lo tengo todo. He instalado el firefox y con el se ha instalado ya el plugin del flashplayer, osea que dos pajaros de un tiro :P

Mil gracias, en serio.

He sufrido un pekeño daño colateral y es q durante el tiempo que no habia contestado nadie he estado intentando hacer cosas, y me he cargado en navegador Galeon, pero bueno, no lo uso para nada, aunque me ha hecho el papel de sustituto mientras no me iba el firefox, asi que no pasa nada.

Un saludo! 

+1
0
-1
Imagen de ichi_the_killer
+1
0
-1

Yo uso Edgy y por causas ajenas a mi voluntad ayer tuve que hacer una reinstalación desde cero. el caso es que entre a youtube desde firefox (después de haber actualizado todo) y me faltaba el plugin ese, pero le di a descargar el plugin y esta vez (para mi sorpresa) firefox lo detectó e instaló solo. Antes no lo hacía.

Otra opción es automatix2, es muy fácil desde ahí.

Aunque creo que estas opciones solo funcinan con Ubuntu a 32 bits. 

+1
0
-1

http://lamalapata.wordpress.com/ Cuentos y relatos breves.... Porque me hacía ilusión fingir que era escritor.

Imagen de GameZelda
+1
0
-1

yo instale ffox2 sin problemas con este script:

 

http://pykeylogger.sourceforge.net/installnewfirefox.sh

 

vas a consola y pones:

 

cd Desktop
chmod +x installnewfirefox.sh
./installnewfirefox.sh

 y listo.

 

fuente: http://pykeylogger.sourceforge.net/wiki/index.php/Ubuntu:Chronicles#Inst... 

+1
0
-1